### Function

# ECal UtilForeachCategoryFunc

since: 3.48

#### Declaration

    gboolean
    (* ECalUtilForeachCategoryFunc) (
      ICalComponent* comp,
      gchar** inout_category,
      gpointer user_data
    )

#### Description [src]

Function called for each non-empty category from e_cal_util_foreach_category(). The `func` can assume owenrship of the `inout_category` content, in which case it should also set its content to `NULL`, to avoid free of it. The string itself, if taken, should be freed with g_free(), when no longer needed.

Available since: 3.48

#### Parameters

`comp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`inout_category`

  Type: `gchar**`

  The category name.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data for the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to continue, `FALSE` to stop.